#!/bin/sh
#
# UoA Pharos Popup Installer
# Version 0.1, April 2016
#
# Author: William McGrath, ITS EUSI <w.mcgrath@auckland.ac.nz>
# With thanks to Jamie Walker (ITS UNIX) and @junaidali on GitHub.
#
# There is no warranty for the use of this script and attached
# bits and pieces, and the University of Auckland is not liable
# for any damage this causes to your kit.
 
error()
{
    printf "\033[1;31mError: $@\033[0m\n"
    exit 1
}

[ "$( lsb_release -si )" != "Ubuntu" ] && error "This package has only been tested on modern versions of Ubuntu. Exiting."

case $( lsb_release -sr | awk -F. '{print $1}' ) in
    12|15)
        WXPKG=python-wxgtk2.8
        ;;
    16.04)
        WXPKG=python-wxgtk3.0
        ;;
    default)
        error "We haven't tested on this version."
        ;;
esac

sudo apt-get update
sudo apt-get --no-upgrade -y install python cups $WXPKG || error "There was a problem installing prerequisites."

[ "$(lpinfo --make-and-model \"Ricoh Aficio MP C7500 PS\" -m 2>&1)" != "lpinfo: client-error-not-found" ] || error "There was a problem finding an appropriate printer driver. Aborting."

cd $(dirname $0)/pharos-linux-master && sudo python setup.py
